--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress SPAA change 13/371
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              01-NOV-2013 M Brookes         10.0.006.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
--
SET VERIFY OFF
--
PROMPT
PROMPT Script to regress MDD change 13/371
PROMPT
PROMPT Version 10.0.006.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Delete ELM row from MANUFACTURER table 
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

EXECUTE IMMEDIATE 'DELETE FROM MANUFACTURER
                      WHERE MANUFACTURER_CODE = ''ELM''';

EXCEPTION
  WHEN is_snapshot OR invalid_column  THEN
    NULL;
  WHEN fk_violated THEN
    DBMS_OUTPUT.PUT_LINE('Unable to delete MANUFACTURER data for ELM');
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
